<template>
  <div class="head-card">
    <div class="card-left">
      <div class="number" :style="colorStyle">{{ number }}</div>
      <div class="info">{{ info }}</div>
    </div>
    <img class="card-right" :src="src" alt="" />
  </div>
</template>

<script>
export default {
  props: {
    number: {
      require: true,
    },
    info: {
      require: true,
    },
    icon: {
      require: true,
    },
    color: {
      require: true,
    },
    src: {
      require: true,
    },
  },
  data() {
    return {};
  },
  computed: {
    colorStyle() {
      return {
        "--color": this.color,
      };
    },
  },
};
</script>

<style scoped lang="scss">
.head-card {
  box-sizing: border-box;
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 20px 2%;
  width: 187px;
  height: 90px;
  background: #ffffff;
  box-shadow: 0px 2px 10px rgba(141, 164, 187, 0.25);
  border-radius: 15px;

  .card-left {
    .number {
      font-size: 24px;
      font-weight: 700;
      color: var(--color);
    }
    .info {
      font-size: 12px;
      color: #4f4f4f;
    }
  }

  .card-right {
    width: 58px;
    height: 58px;
  }
}
</style>